Skip to main content
`Ctrl`+`K`

# PetscViewersDestroy

Destroys a set of `PetscViewer`s created with `PetscViewersCreate()`.

## Synopsis

    PetscErrorCode PetscViewersDestroy(PetscViewers *v)

Collective

## Input Parameter

- v - the `PetscViewers` to be destroyed.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerDestroy()`, `PetscViewers`, `PetscViewerSocketOpen()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDrawOpen()`, `PetscViewersCreate()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/viewers.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages